[project]
name = "TISbackup"
version = "1.8.0"
description = "Backup server side executed python scripts for managing linux and windows system and application data backups, developed by adminsys for adminsys"
readme = "README.md"
dependencies = [
    "flask==3.1.0",
    "huey==2.5.3",
    "iniparse==0.5",
    "paramiko==3.5.1",
    "peewee==3.17.9",
    "pexpect==4.9.0",
    "redis==5.2.1",
    "requests==2.32.3",
    "simplejson==3.20.1",
    "six==1.17.0",
]
requires-python = ">=3.13"

[tool.black]
line-length = 140


[tool.ruff]
# Allow lines to be as long as 120.
line-length = 140
indent-width = 4

[tool.ruff.lint]
ignore = ["F401", "F403", "F405", "E402", "E701", "E722", "E741"]
